require 'test_helper'

module Workarea
  module Admin
    class RegistriesSystemTest < Workarea::SystemTest
      include Admin::IntegrationTest

      def test_index
        user = create_user(first_name: 'Ben', last_name: 'Crouse')

        registry = create_registry(
          user_id: user.id
        )

        visit admin.registries_path
        assert(page.has_content?('Ben Crouse'))
      end
    end
  end
end
